org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryClientHeartbeatMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryClientHeartbeatMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryClientHeartbeatMessage
    extends TcpDiscoveryAbstractMessage

Heartbeat message.

Client sends his heartbeats in this message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryClientHeartbeatMessage(UUID creatorNodeId, ClusterMetrics metrics)` Constructor.

### Method Summary

Methods
`boolean` `highPriority()`
`ClusterMetrics` `metrics()` Gets metrics map.
`String` `toString()`
`boolean` `traceLogLevel()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryClientHeartbeatMessage

    public TcpDiscoveryClientHeartbeatMessage(UUID creatorNodeId,
                                      ClusterMetrics metrics)

Constructor.

Parameters:
  `creatorNodeId` - Creator node.
  `metrics` - Metrics.

### Method Detail

#### metrics

    public ClusterMetrics metrics()

Gets metrics map.

Returns:
  Metrics map.

#### highPriority

    public boolean highPriority()

Overrides:
  `highPriority` in class `TcpDiscoveryAbstractMessage`
Returns:
  `true` if message must be added to head of queue.

#### traceLogLevel

    public boolean traceLogLevel()

Overrides:
  `traceLogLevel` in class `TcpDiscoveryAbstractMessage`
Returns:
  `True` if need use trace logging for this message (to reduce amount of logging with debug level).

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016